import * as api from "./cas.request";
import { testCasConnection } from "./cas.request";

const { model } = BI.Decorators;

@model()
export class CasModel extends Fix.Model {
    static xtype = "dec.model.plugin.system.cas";

    state() {
        return {
            casConfig: {
                casLogoutUrl: "",
                decisionServerName: "",
                filterStrategy: { type: "jasig", casLoginUrl: "", casServerUrl: "" },
                https: false,
                ignoreLoginPage: false,
                ignoreH5: false,
                logoutTurnOn: false,
                turnOn: false,
            }
        };
    }

    computed = {};

    actions = {
        initCasConfig(callback) {
            api.getCasConfig().then(res => {
                this.model.casConfig = res.data;
                callback();
            });
        },

        saveCasConfig(config) {
            BI.extend(this.model.casConfig, config);
            api.saveCasConfig(config).then(res => {
                BI.Msg.toast(BI.i18nText("Dec-Basic_Save_Success"), { level: "success" });
            });
        },

        textCasConnection(url) {
            return api.testCasConnection(url);
        },
    };
}
