function buildURL(url) {
    return "/url" + url;
}

export function getCasConfig() {
    return new Promise(resolve => {
        Dec.reqGet(buildURL("/cas/client/conf"), "", res => {
            resolve(res);
        });
    });
}

export function saveCasConfig(config) {
    return new Promise(resolve => {
        Dec.reqPost(buildURL("/cas/client/conf"), config, res => {
            resolve(res);
        });
    });
}

export function testCasConnection(casServerUrl) {
    return new Promise((resolve, reject) => {

        Dec.reqGet(buildURL(`/cas/test/connect?url=${encodeURIComponent(casServerUrl)}`), "", res => {
            if (res.data === "success") {
                resolve(res);
            } else {
                reject(res);
            }
        });
    });
}
